Mattermost Peer-to-Peer Forum

[solved] NOOB mattermost-webapp setup for development


#1

Hey There - First time forum poster. Recently joined Mattermost in a customer facing role. Setting up a local development environment on MacOS 10.14.2.

Following webapp developer setup instructions.

Seeing a couple errors when running make test under $(go env GOPATH)/src/github.com/mattermost/mattermost-webapp

39523 warn optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 (node_modules/fsevents):
39524 warn optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.4 install: `node install`
39524 warn optional SKIPPING OPTIONAL DEPENDENCY: Exit status 1
39525 verbose optional SKIPPING OPTIONAL DEPENDENCY:
39525 verbose optional Failed at the fsevents@1.2.4 install script.
39525 verbose optional SKIPPING OPTIONAL DEPENDENCY: This is probably not a problem with npm. There is likely additional logging output above.
39526 verbose stack Error: cypress@3.1.3 postinstall: `node index.js --exec install`
39526 verbose stack Exit status 1

The tests all run and pass. So I’m not blocked, but am I going to have issues in the future? What is happening with this cypress install?


#2

Did a make clean and then a make build and seemed to successfully get the cypress module. Maybe just network issue on my end when it was downloading